%define xmms_generaldir %(xmms-config --general-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Summary: XMMS plugin to use special multimedia keys in GNOME or through acme
Name: xmms-acme
Version: 0.4.3
Release: alt1_15
License: GPLv2+
Group: Sound
URL: http://www.devin.com/xmms-xf86audio/
Source: http://www.devin.com/xmms-xf86audio/download/xmms-xf86audio-%{version}.tar.gz
Requires: xmms >= 1.0.0
BuildRequires: xmms-devel
Provides: xmms-xf86audio = %{version}-%{release}
Source44: import.info

%description
This plugin was written in response to demand from the users of Acme, GNOME2's
multimedia key manager.  While Acme manages the association of appropriate
keyboard scancodes with the media-control scancodes, it does not know how to
individually control the various media players.  Instead, it arranges the
mapping and expects those media players to listen for the XF86Audio keysyms.


%prep
%setup -q -n xmms-xf86audio-%{version}


%build
%{__make} %{?_smp_mflags} OPT="%{optflags}"


%install
%{__install} -D -m 0755 libxf86audio.so \
    %{buildroot}%{xmms_generaldir}/libxf86audio.so


%files
%doc COPYING README
%{xmms_generaldir}/libxf86audio.so


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1_15
- initial fc import

